Macros | Functions
main.h File Reference

: Header for main.c file. This file contains the common defines of the application. More...

`#include "stm32l4xx_hal.h"`

Go to the source code of this file.

## Macros
#define | INTERRUPT_Pin GPIO_PIN_3
#define | INTERRUPT_GPIO_Port GPIOB
#define | INTERRUPT_EXTI_IRQn EXTI3_IRQn
#define | MISC_GPIO2_Pin GPIO_PIN_3
#define | MISC_GPIO2_GPIO_Port GPIOH
#define | WAKE_UP_Pin GPIO_PIN_11
#define | WAKE_UP_GPIO_Port GPIOA
#define | WAKE_UP_EXTI_IRQn EXTI15_10_IRQn
#define | DEBUG_UART_RX_Pin GPIO_PIN_10
#define | DEBUG_UART_RX_GPIO_Port GPIOA
#define | MCU_INT_Pin GPIO_PIN_9
#define | MCU_INT_GPIO_Port GPIOB
#define | DEBUG_UART_TX_Pin GPIO_PIN_9
#define | DEBUG_UART_TX_GPIO_Port GPIOA
#define | I2C_ADDRESS_Pin GPIO_PIN_0
#define | I2C_ADDRESS_GPIO_Port GPIOH
#define | I2C_SCL_Pin GPIO_PIN_10
#define | I2C_SCL_GPIO_Port GPIOB
#define | UART_RX_Pin GPIO_PIN_3
#define | UART_RX_GPIO_Port GPIOA
#define | UART_TX_Pin GPIO_PIN_2
#define | UART_TX_GPIO_Port GPIOA
#define | ENABLE_Pin GPIO_PIN_12
#define | ENABLE_GPIO_Port GPIOB
#define | I2C_SDA_Pin GPIO_PIN_11
#define | I2C_SDA_GPIO_Port GPIOB
#define | SPI_MOSI_Pin GPIO_PIN_7
#define | SPI_MOSI_GPIO_Port GPIOA
#define | SPI_MISO_Pin GPIO_PIN_6
#define | SPI_MISO_GPIO_Port GPIOA
#define | SPI_SCK_Pin GPIO_PIN_5
#define | SPI_SCK_GPIO_Port GPIOA
#define | UART_CTS_Pin GPIO_PIN_0
#define | UART_CTS_GPIO_Port GPIOA
#define | MISC_GPIO0_Pin GPIO_PIN_1
#define | MISC_GPIO0_GPIO_Port GPIOB
#define | SPI_SS_Pin GPIO_PIN_0
#define | SPI_SS_GPIO_Port GPIOB
#define | MISC_GPIO1_Pin GPIO_PIN_4
#define | MISC_GPIO1_GPIO_Port GPIOA
#define | UART_RTS_Pin GPIO_PIN_1
#define | UART_RTS_GPIO_Port GPIOA
#define | A121_SPI_HANDLE hspi1
#define | MODULE_I2C_HANDLE hi2c2
#define | MODULE_RTC_HANDLE hrtc
#define | MODULE_UART1_HANDLE huart2
#define | MODULE_UART2_HANDLE huart1
#define | MAIN_UART_HANDLE huart2
#define | DEBUG_UART_HANDLE huart1
#define | EXPLORATION_SERVER_UART_HANDLE huart2

## Functions
void | Error_Handler (void)

## Detailed Description

: Header for main.c file. This file contains the common defines of the application.

Attention

##
© Copyright (c) 2022 STMicroelectronics. All rights reserved.

This software component is licensed by ST under BSD 3-Clause license, the "License"; You may not use this file except in compliance with the License. You may obtain a copy of the License at: opensource.org/licenses/BSD-3-Clause

Definition in file main.h.

## Macro Definition Documentation

## ◆ A121_SPI_HANDLE

#define A121_SPI_HANDLE hspi1

Definition at line 106 of file main.h.

## ◆ DEBUG_UART_HANDLE

#define DEBUG_UART_HANDLE huart1

Definition at line 113 of file main.h.

## ◆ DEBUG_UART_RX_GPIO_Port

#define DEBUG_UART_RX_GPIO_Port GPIOA

Definition at line 71 of file main.h.

## ◆ DEBUG_UART_RX_Pin

#define DEBUG_UART_RX_Pin GPIO_PIN_10

Definition at line 70 of file main.h.

## ◆ DEBUG_UART_TX_GPIO_Port

#define DEBUG_UART_TX_GPIO_Port GPIOA

Definition at line 75 of file main.h.

## ◆ DEBUG_UART_TX_Pin

#define DEBUG_UART_TX_Pin GPIO_PIN_9

Definition at line 74 of file main.h.

## ◆ ENABLE_GPIO_Port

#define ENABLE_GPIO_Port GPIOB

Definition at line 85 of file main.h.

## ◆ ENABLE_Pin

#define ENABLE_Pin GPIO_PIN_12

Definition at line 84 of file main.h.

## ◆ EXPLORATION_SERVER_UART_HANDLE

#define EXPLORATION_SERVER_UART_HANDLE huart2

Definition at line 115 of file main.h.

## ◆ I2C_ADDRESS_GPIO_Port

#define I2C_ADDRESS_GPIO_Port GPIOH

Definition at line 77 of file main.h.

## ◆ I2C_ADDRESS_Pin

#define I2C_ADDRESS_Pin GPIO_PIN_0

Definition at line 76 of file main.h.

## ◆ I2C_SCL_GPIO_Port

#define I2C_SCL_GPIO_Port GPIOB

Definition at line 79 of file main.h.

## ◆ I2C_SCL_Pin

#define I2C_SCL_Pin GPIO_PIN_10

Definition at line 78 of file main.h.

## ◆ I2C_SDA_GPIO_Port

#define I2C_SDA_GPIO_Port GPIOB

Definition at line 87 of file main.h.

## ◆ I2C_SDA_Pin

#define I2C_SDA_Pin GPIO_PIN_11

Definition at line 86 of file main.h.

## ◆ INTERRUPT_EXTI_IRQn

#define INTERRUPT_EXTI_IRQn EXTI3_IRQn

Definition at line 64 of file main.h.

## ◆ INTERRUPT_GPIO_Port

#define INTERRUPT_GPIO_Port GPIOB

Definition at line 63 of file main.h.

## ◆ INTERRUPT_Pin

#define INTERRUPT_Pin GPIO_PIN_3

Definition at line 62 of file main.h.

## ◆ MAIN_UART_HANDLE

#define MAIN_UART_HANDLE huart2

Definition at line 112 of file main.h.

## ◆ MCU_INT_GPIO_Port

#define MCU_INT_GPIO_Port GPIOB

Definition at line 73 of file main.h.

## ◆ MCU_INT_Pin

#define MCU_INT_Pin GPIO_PIN_9

Definition at line 72 of file main.h.

## ◆ MISC_GPIO0_GPIO_Port

#define MISC_GPIO0_GPIO_Port GPIOB

Definition at line 97 of file main.h.

## ◆ MISC_GPIO0_Pin

#define MISC_GPIO0_Pin GPIO_PIN_1

Definition at line 96 of file main.h.

## ◆ MISC_GPIO1_GPIO_Port

#define MISC_GPIO1_GPIO_Port GPIOA

Definition at line 101 of file main.h.

## ◆ MISC_GPIO1_Pin

#define MISC_GPIO1_Pin GPIO_PIN_4

Definition at line 100 of file main.h.

## ◆ MISC_GPIO2_GPIO_Port

#define MISC_GPIO2_GPIO_Port GPIOH

Definition at line 66 of file main.h.

## ◆ MISC_GPIO2_Pin

#define MISC_GPIO2_Pin GPIO_PIN_3

Definition at line 65 of file main.h.

## ◆ MODULE_I2C_HANDLE

#define MODULE_I2C_HANDLE hi2c2

Definition at line 107 of file main.h.

## ◆ MODULE_RTC_HANDLE

#define MODULE_RTC_HANDLE hrtc

Definition at line 108 of file main.h.

## ◆ MODULE_UART1_HANDLE

#define MODULE_UART1_HANDLE huart2

Definition at line 109 of file main.h.

## ◆ MODULE_UART2_HANDLE

#define MODULE_UART2_HANDLE huart1

Definition at line 110 of file main.h.

## ◆ SPI_MISO_GPIO_Port

#define SPI_MISO_GPIO_Port GPIOA

Definition at line 91 of file main.h.

## ◆ SPI_MISO_Pin

#define SPI_MISO_Pin GPIO_PIN_6

Definition at line 90 of file main.h.

## ◆ SPI_MOSI_GPIO_Port

#define SPI_MOSI_GPIO_Port GPIOA

Definition at line 89 of file main.h.

## ◆ SPI_MOSI_Pin

#define SPI_MOSI_Pin GPIO_PIN_7

Definition at line 88 of file main.h.

## ◆ SPI_SCK_GPIO_Port

#define SPI_SCK_GPIO_Port GPIOA

Definition at line 93 of file main.h.

## ◆ SPI_SCK_Pin

#define SPI_SCK_Pin GPIO_PIN_5

Definition at line 92 of file main.h.

## ◆ SPI_SS_GPIO_Port

#define SPI_SS_GPIO_Port GPIOB

Definition at line 99 of file main.h.

## ◆ SPI_SS_Pin

#define SPI_SS_Pin GPIO_PIN_0

Definition at line 98 of file main.h.

## ◆ UART_CTS_GPIO_Port

#define UART_CTS_GPIO_Port GPIOA

Definition at line 95 of file main.h.

## ◆ UART_CTS_Pin

#define UART_CTS_Pin GPIO_PIN_0

Definition at line 94 of file main.h.

## ◆ UART_RTS_GPIO_Port

#define UART_RTS_GPIO_Port GPIOA

Definition at line 103 of file main.h.

## ◆ UART_RTS_Pin

#define UART_RTS_Pin GPIO_PIN_1

Definition at line 102 of file main.h.

## ◆ UART_RX_GPIO_Port

#define UART_RX_GPIO_Port GPIOA

Definition at line 81 of file main.h.

## ◆ UART_RX_Pin

#define UART_RX_Pin GPIO_PIN_3

Definition at line 80 of file main.h.

## ◆ UART_TX_GPIO_Port

#define UART_TX_GPIO_Port GPIOA

Definition at line 83 of file main.h.

## ◆ UART_TX_Pin

#define UART_TX_Pin GPIO_PIN_2

Definition at line 82 of file main.h.

## ◆ WAKE_UP_EXTI_IRQn

#define WAKE_UP_EXTI_IRQn EXTI15_10_IRQn

Definition at line 69 of file main.h.

## ◆ WAKE_UP_GPIO_Port

#define WAKE_UP_GPIO_Port GPIOA

Definition at line 68 of file main.h.

## ◆ WAKE_UP_Pin

#define WAKE_UP_Pin GPIO_PIN_11

Definition at line 67 of file main.h.

## Function Documentation

## ◆ Error_Handler()

void Error_Handler | ( | void |  | ) |